using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业任务识别表子表识别人员(关联用户表)
    /// </summary>
    [Description("作业任务识别表子表识别人员(关联用户表)")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_USER : MesEntityBase
    {
         /// <summary>
        /// 作业任务识别表
        /// </summary>
        [Description("作业任务识别表")]
        [DataFieldForeignKey("Nav_OperationTaskDistinguish", "Nav_Users")]
        public Guid OPERATION_TASK_DISTINGUISH_ID { get; set; }

        /// <summary>
        /// 识别人员
        /// </summary>
        [Description("识别人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]

        public Guid USER_ID { get; set; }
        /// <summary>
        /// 检查负责人
        /// </summary>
        [Description("检查负责人")]
        [FormFieldEdit]
        [EnumName("ISImportantEnum")]
        public ISImportantEnum ISCHARGE { get; set; }

        /// <summary>
        /// 是否同意
        /// </summary>
        [Description("是否同意")]
        [FormFieldEdit]
        [EnumName("ISImportantEnum")]
        public ISImportantEnum ISAGREE { get; set; }

        /// <summary>
        /// 导航：作业任务识别表
        /// </summary>
        [Description("导航：作业任务识别表")]
        public virtual T_HM_OPERATION_TASK_DISTINGUISH Nav_OperationTaskDistinguish { get; set; }

        /// <summary>
        /// 导航：识别人员
        /// </summary>
        [Description("导航：识别人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
